Main Page Class Hierarchy Alphabetical List Compound List File List Compound Members File Members

# TAO_PSDL_Abstract_Storagetype_Name Class Reference

`#include <PSDL_Node.h>`

Inheritance diagram for TAO_PSDL_Abstract_Storagetype_Name:

[legend]
Collaboration diagram for TAO_PSDL_Abstract_Storagetype_Name:

[legend]
List of all members.

## Public Methods
| TAO_PSDL_Abstract_Storagetype_Name (TAO_PSDL_Node *scoped_name)
| ****************************************************************. More...
| TAO_PSDL_Abstract_Storagetype_Name (TAO_PSDL_Node *scoped_name, TAO_PSDL_Node *abs_storagetype_name)
virtual | ~TAO_PSDL_Abstract_Storagetype_Name (void)
TAO_PSDL_Node * | scoped_name (void) const
| Get the value. More...
TAO_PSDL_Node * | abs_storagetype_name (void) const
int | accept (TAO_PSDL_Node_Visitor *visitor)
| = The Node methods. More...
## Private Attributes
TAO_PSDL_Node * | scoped_name_
| The values. More...
TAO_PSDL_Node * | abs_storagetype_name_

## Constructor & Destructor Documentation

TAO_PSDL_Abstract_Storagetype_Name::TAO_PSDL_Abstract_Storagetype_Name | ( | TAO_PSDL_Node * | scoped_name | ) |

| ****************************************************************.

TAO_PSDL_Abstract_Storagetype_Name::TAO_PSDL_Abstract_Storagetype_Name | ( | TAO_PSDL_Node * | scoped_name,
|  | TAO_PSDL_Node * | abs_storagetype_name
| ) |

TAO_PSDL_Abstract_Storagetype_Name::~TAO_PSDL_Abstract_Storagetype_Name | ( | void |  | ) | `[virtual]`

## Member Function Documentation

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagetype_Name::abs_storagetype_name | ( | void |  | ) | const

int TAO_PSDL_Abstract_Storagetype_Name::accept | ( | TAO_PSDL_Node_Visitor * | visitor | ) | `[virtual]`

| = The Node methods. Reimplemented from TAO_PSDL_Node.

TAO_PSDL_Node * TAO_PSDL_Abstract_Storagetype_Name::scoped_name | ( | void |  | ) | const

| Get the value.

## Member Data Documentation

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagetype_Name::abs_storagetype_name_`[private]`

TAO_PSDL_Node* TAO_PSDL_Abstract_Storagetype_Name::scoped_name_`[private]`

| The values.

The documentation for this class was generated from the following files:

- PSDL_Node.h
- PSDL_Node.cpp